/**
Very simple network client: connects to localhost:1234,
sends a few bytes, and leaves.

Orion Sky Lawlor, olawlor@acm.org, 2005/2/8 (Public Domain)
*/
#include <stdio.h>
#include "osl/socket.h"
#include "osl/socket.cpp" /* include body for easy linking */

int main(int argc,char *argv[])
{
	skt_ip_t ip=skt_lookup_ip("localhost");
	SOCKET s=skt_connect(ip,1234,60); 

/* -> Send length of string first, as a Big32 */
	const char *str="foobaby";
	Big32 len=strlen(str);
	skt_sendN(s,&len,sizeof(len)); 

/* -> Now just send string normally. */
	skt_sendN(s,str,len); 

	skt_close(s); 
	return 0;
}
